## edu.brook.sugarscape
Class SugarCell

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.HostCell
                          edu.brook.sugarscape.SugarCell

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class SugarCell

extends HostCell

Sugar Cell Java Implementation. history 19990624 AAL changed variables from private to protected so SpiceCell could inherit seperated peak creation from initialize() history 19990629 AAL removed a variety of "sugar"related methods and attributes, and put them in new class CommoditySource Generated by metaabm system: Sep 16, 2009 7:25:02 PM PDT in project: org.eclipse.amp.amf.examples.ascape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.HostCell
`IS_AVAILABLE, IS_OCCUPIED, occupant`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`SugarCell()` Constructs a new Sugar Cell.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createUniqueID()`
`java.awt.Color` `getColor()` Returns the default color for this cell (green.) Override to provide another color, or provide a different color feature for your views.
`GAS_Base` `getGAS_Base()`
`java.lang.String` `getName()` A name this object may be referred to by.
`double` `getPerceivedValue()` Gets the Perceived Value property for Sugar Cell.
`double` `getSugarAmount()` Gets the Sugar Amount property for Sugar Cell.
`java.lang.String` `getUID()`
`void` `intializeNonFramework()` .
`void` `setPerceivedValue(double _perceivedValue)` Sets the Perceived Value property for Sugar Cell.
`void` `setSugarAmount(double _sugarAmount)` Sets the Sugar Amount property for Sugar Cell.
`void` `sugarGrowBack1()` .
`void` `sugarGrowBackEpsilon()` .

Methods inherited from class org.ascape.model.HostCell
`findAvailableNeighbors, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNearestOccupants, findNeighboringOccupants, findOccupantsWithin, findOccupantsWithin, findOccupantsWithin, findRandomAvailableNeighbor, getOccupant, isAvailable, isNeighborAvailable, removeOccupant, setNeighborsList, setOccupant`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findNeighbors, findOccupants, findRandomNeighbor, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, hostedCondition, initialize, playNeighbors, playRandomNeighbor, setNeighbors, setNetwork, toString`

Methods inherited from class org.ascape.model.LocatedAgent

`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findNearest, findNearest, findNearest, findNearest, findNearest, findWithin, findWithin, findWithin, findWithin, getAgentSize, getCoordinate, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveAway, moveTo, moveToRandomLocation, moveToward, moveToward, moveToward, randomWalk, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, die, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, getCoordinate, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### SugarCell

    public SugarCell()

  Constructs a new Sugar Cell.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `HostCell`
  Returns:
    the object

### getGAS_Base

    public GAS_Base getGAS_Base()

### getColor

    public java.awt.Color getColor()

  Description copied from class: `HostCell`
  Returns the default color for this cell (green.) Override to provide another color, or provide a different color feature for your views.

  Overrides:
    `getColor` in class `HostCell`

### sugarGrowBack1

    public void sugarGrowBack1()

  .

### sugarGrowBackEpsilon

    public void sugarGrowBackEpsilon()

  .

### intializeNonFramework

    public void intializeNonFramework()

  .

### getPerceivedValue

    public double getPerceivedValue()

  Gets the Perceived Value property for Sugar Cell.

  Returns:

### setPerceivedValue

    public void setPerceivedValue(double _perceivedValue)

  Sets the Perceived Value property for Sugar Cell.

  Parameters:
    `_perceivedValue` - the new Perceived Value value

### getSugarAmount

    public double getSugarAmount()

  Gets the Sugar Amount property for Sugar Cell.

  Returns:

### setSugarAmount

    public void setSugarAmount(double _sugarAmount)

  Sets the Sugar Amount property for Sugar Cell.

  Parameters:
    `_sugarAmount` - the new Sugar Amount value

### getName

    public java.lang.String getName()

  Description copied from class: `AscapeObject`
  A name this object may be referred to by.

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`